package com.red.circle.console.app.service.app.sys.pay;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.order.inner.model.cmd.SysPayFactoryCmd;
import com.red.circle.order.inner.model.cmd.SysPayFactoryQryCmd;
import com.red.circle.order.inner.model.dto.SysPayFactoryDTO;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 支付渠道厂商 服务类
 * </p>
 *
 * @author pengliang
 * @since 2021-11-29
 */
public interface SysPayFactoryService {

  /**
   * 分页列表.
   */
  PageResult<SysPayFactoryDTO> pageSysPayChannel(SysPayFactoryQryCmd query);

  /**
   * 列表.
   */
  List<SysPayFactoryDTO> listSysPayChannel();

  /**
   * 添加.
   */
  void addSysPayChannel(SysPayFactoryCmd param);

  /**
   * 修改.
   */
  void updateSysPayChannel(SysPayFactoryCmd param);

  /**
   * 获取渠道映射信息.
   */
  Map<String, SysPayFactoryDTO> mapByCodes(Set<String> codes);
}
